API References v20
Transactions
/getTransactionsPage
1 min
POST
/getTransactionsPage
Retrieve transactions returned by searchTransactions. You can request up to 1000 transactions in a single call. The searched transactions can be further narrowed using the parameters below. Version 19 deprecates the transaction format version 1 which will be removed in a future version.
Return: JSON object containing the transactions in the specified range.
-------------------- Request --------------------
{
"FunctionData": {},
getTransactionsPage(
"StartIndex"= 0,
"EndIndex"=100,
"UpdateTransactionsStatus"=False,
"TransactionFormatVersion"=TransactionFormatVersion.V2
)
-------------------- Response --------------------
**Response Example:**
{
"FunctionData": {
"Transactions": [
{
"AdditionalDepositTransactionData": null,
"AdditionalWithdrawalTransactionData": {
"AccountId": 1,
"AdditionalStatusInformation": "Transaction sent to the Blockchain",
"ApprovalRequestId": "2d41460b8db4f139ec04dd14d23f9247",
"ContractData": null,
"DataSigningInformation": null,
"Expiration": null,
"ExternalProviderExtraData": {
"chainId": "0x88bb0",
"note": "",
"originUrl": "",
"rpcUrl": "",
"transactionCategory": ""
},
"InitiatingSystem": "MetaMask",
"Machine": 1,
"Reason": null,
"ReplaceByFeeUserId": null,
"Staking": null,
"StatusId": 4,
"TimingData": {
"CanceledAt": null,
"CompletedAt": "2025-09-29 10:55:19.181",
"ConfirmingAt": "2025-09-29 10:54:29.616",
"CreatedAt": "2025-09-29 10:53:38.134",
"FailedAt": null,
"SentAt": "2025-09-29 10:53:55.994"
},
"TokenReplacedByFee": null,
"TokenizationConfiguration": null,
"TransactionDescription": null,
"TransactionToken": "f8a7fdeef2c83312d13fc753f227ecb49e283d52ba79d34c75213d6f7b02f18a",
"UserId": "[email protected]",
"UserName": "Danny Cohen"
},
"Amount" : "100000000000000",
"AmlStatus": {
"BlockedState": 0,
"ExternalStatus": {
"Note": "Chainalysis service is disabled",
"State": 0
},
"InternalStatus": {
"FreezeUnfreezeExplanation": null,
"State": 0
},
"IsOverridable": false
},
"BlockNumber": "1312568",
"Confirmations": "12",
"To" : "0x7Eb1b59D87490A7f983143E0B7F94be5F54BE8Bd",
"Destinations": [
{
"AccountId": 1,
"Address": "0x7Eb1b59D87490A7f983143E0B7F94be5F54BE8Bd",
"Amount": "100000000000000",
"ContactName": "Account Main Account: Cold Wallet",
"CustomerId": null,
"DepositAddressIndex": null,
"Machine": 0,
"WalletId": null,
"WalletName": null
}
],
"Fees": {
"FeeActuallyPaid": "38826388524000",
"GasLimit": "21000",
"GasPrice": "1848875644",
"GasUsed": "21000",
"MaxGasPrice": "2192578822",
"MaxPriorityFee": "761277562",
"MaxTotalFee": "46044155262000"
},
"Nonce": "35",
"Number": 0,
"RawTransaction": "02f87383088bb023842d602c7a8482b01906825208947eb1b59d87490a7f983143e0b7f94be5f54be8bd865af3107a400080c080a0a339cc5a60dc2ff1b5b8376d5103f66c02195d2bf97f75abf539b44cc0e0422ba00dd571f2daa23628ba9aa4cb2dc25b0ccf622f747f191b4f939b2e634e3f43f4",
"Signature": null,
"SourceMemo": "",
"From" : "0xD3B69E2E05D4ECe7177DB58e32FCE47f6F916429",
"Sources": [
{
"Address": "0xD3B69E2E05D4ECe7177DB58e32FCE47f6F916429",
"ContactName": "Account Main Account: Hot Wallet",
"CustomerId": null,
"WalletId": null,
"WalletName": null
}
],
"Symbol": "ETH",
"Timestamp": "1759143240000",
"TransactionErrorInBlock": false,
"TransactionFormatVersion": 2,
"TransactionRiskAssessmentStatus": {
"Assessment": "No Risk Found",
"BalanceChanges": {
"Receive": [],
"Send": [
{
"Amount": "9155220817253021",
"Chain": "POL",
"ChainId": 137,
"KnowChain": true,
"TokenSymbol": "POL",
"UsdValue": "0.001105996450828251"
},
{
"Address": "0xE0339c80fFDE91F3e20494Df88d4206D86024cdF",
"Amount": "1000000000000000000000000",
"Chain": "Dogelon (PoS)",
"KnowChain": true,
"TokenSymbol": "ELON_POL",
"UsdValue": "0.053726000000000003"
}
]
},
"BlockNumber": "81251378",
"ChainId": 137,
"Note": "Accept",
"Provider": "Blockaid"
},
"TransactionId": "0xcabe94e0f9728a87c28e91acaf519d4102c870d98647e95364fbfd260bd8a786",
"Type": 1
},
{
"AdditionalDepositTransactionData": {
"Initiator": null,
"InternalTransaction": false,
"TraceId": null
},
"AdditionalWithdrawalTransactionData": null,
"AmlStatus": {
"BlockedState": 0,
"ExternalStatus": {
"Note": "",
"State": 0
},
"InternalStatus": {
"FreezeUnfreezeExplanation": null,
"State": 0
},
"IsOverridable": false
},
"BlockNumber": "1312568",
"Confirmations": "12",
"Destinations": [
{
"AccountId": 1,
"Address": "0x7Eb1b59D87490A7f983143E0B7F94be5F54BE8Bd",
"Amount": "100000000000000",
"ContactName": "Account Main Account: Cold Wallet",
"CustomerId": null,
"DepositAddressIndex": null,
"Machine": 0,
"WalletId": null,
"WalletName": null
}
],
"Fees": {
"FeeActuallyPaid": "38826388524000",
"GasLimit": "21000",
"GasPrice": "1848875644",
"GasUsed": "21000",
"MaxGasPrice": null,
"MaxPriorityFee": "761277562",
"MaxTotalFee": null
},
"Nonce": null,
"Number": 0,
"RawTransaction": null,
"Signature": null,
"SourceMemo": "",
"Sources": [
{
"Address": "0xD3B69E2E05D4ECe7177DB58e32FCE47f6F916429",
"ContactName": "Account Main Account: Hot Wallet",
"CustomerId": null,
"WalletId": null,
"WalletName": null
}
],
"Symbol": "ETH",
"Timestamp": "1759143240000",
"TransactionErrorInBlock": false,
"TransactionFormatVersion": 2,
"TransactionId": "0xcabe94e0f9728a87c28e91acaf519d4102c870d98647e95364fbfd260bd8a786",
"Type": 0
}
],
"uuid": "e66c9afb-3040-481e-963a-897ccc061f3f"
},
"Meta": {
"AccessToken": "6276...79fe",
"Destination": "0453...9d56",
"Source": "fc581...42f3",
"Time": "2025-02-10 13:05:23.729"
}
}
start_indexintegerThe index of the first transaction to view.
end_indexintegerThe index of the last transaction to view.
update_transactions_statusbooleanOptional bool to update the transaction status.
transaction_format_versionobject<p>Can be TransactionFormatVersion.V0 or TransactionFormatVersion.V2. V0 is the default and returns results using the legacy format. V2 returns results using a new, easier-to-parse structure.</p>
acceptstringGenerated from available response content types
200success
curl --request POST \
--url '/getTransactionsPage?start_index=integer&end_index=100&update_transactions_status=boolean&transaction_format_version=%22TransactionFormatVersion.V2%22' \
--header 'accept: application/json'